// DOSDISDemo.java

import java.io.*;

class DOSDISDemo
{
   public static void main (String [] args)
   {
      DataOutputStream dos = null;

      try
      {
          FileOutputStream fos = new FileOutputStream ("data.dat");
          dos = new DataOutputStream (fos);

          dos.writeInt (256);
          dos.writeDouble (Math.PI);
          dos.writeUTF ("Java");

      }
      catch (IOException e)
      {
          System.out.println (e.getMessage ());
          return;
      }
      finally
      {
         if (dos != null)
             try
             {
                 dos.close ();
             }
             catch (IOException e)
             {
             }
      }

      DataInputStream dis = null;

      try
      {
          FileInputStream fis = new FileInputStream ("data.dat");
          dis = new DataInputStream (fis);

          System.out.println (dis.readInt ());
          System.out.println (dis.readDouble ());
          System.out.println (dis.readUTF ());
      }
      catch (IOException e)
      {
          System.out.println (e.getMessage ());
          return;
      }
      finally
      {
         if (dis != null)
             try
             {
                 dis.close ();
             }
             catch (IOException e)
             {
             }
      }
   }
}

